Hi Amir0914, just a question: how you will determinate if coords need to be sorted or not, and amount of points could be could be useful in order to sort in the correct way, and again how determinate the first point ? it will be always the first ? thank you.
I cannot seem to get this command to run through a DCL.
When I load it normally. It works as expected.
Is there something I could be missing in the way that it is setup?
(It is to ungroup selected objects in the drawing.)
Again, it not work when I select through the dcl button.
Thanks for any help!
(defun c:UGMO ( / idx grp selt )
(if (setq selt (ssget))
(repeat (setq idx (sslength selt))
(if (= "GROUP" (cdr (assoc 0 (entget (setq grp (cdr (assoc 330 (entget (ssname selt (setq idx (1- idx)))))))))))
(entdel grp)
)
)
)
(princ)
)
A DCL dialog is modal. That means nothing can run whilst the dialog is displayed. To run something you must hide the dialog, then reinstate it. See Here